- Main Page
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

# mschmd_sec_mscompressed Struct Reference

A structure which represents the LZX compressed section of a CHM helpfile. More...

`#include <mspack.h>`

## Data Fields
mschmd_section | base
| Generic section data.
mschmd_file * | content
| A pointer to the meta-file which represents all LZX compressed data.
mschmd_file * | control
| A pointer to the file which contains the LZX control data.
mschmd_file * | rtable
| A pointer to the file which contains the LZX reset table.

## Detailed Description

A structure which represents the LZX compressed section of a CHM helpfile.

All fields are READ ONLY.

## Field Documentation

struct mschmd_section mschmd_sec_mscompressed::base

| Generic section data.

struct mschmd_file* mschmd_sec_mscompressed::content

| A pointer to the meta-file which represents all LZX compressed data.

struct mschmd_file* mschmd_sec_mscompressed::control

| A pointer to the file which contains the LZX control data.

struct mschmd_file* mschmd_sec_mscompressed::rtable

| A pointer to the file which contains the LZX reset table.

The documentation for this struct was generated from the following file:

- /home/kyz/devel/libmspack/libmspack/mspack/mspack.h